Package com.fasterxml.jackson.annotation

# Annotation Type JsonFilter

@Target({ANNOTATION_TYPE,TYPE,METHOD,FIELD,PARAMETER}) @Retention(RUNTIME) public @interface JsonFilter
Annotation used to indicate which logical filter is to be used for filtering out properties of type (class) annotated; association made by this annotation declaring ids of filters, and `com.fasterxml.jackson.databind.ObjectMapper` (or objects it delegates to) providing matching filters by id.

Filters to use are usually of type `com.fasterxml.jackson.databind.ser.PropertyFilter` and are registered through `com.fasterxml.jackson.databind.ObjectMapper`

Since 2.3, this annotation can also be used on properties (fields, methods, constructor parameters).

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
Id of filter to use; if empty String (""), no filter is to be used.

## Element Details

### value

String value
Id of filter to use; if empty String (""), no filter is to be used.